Skip Menu |
 

This queue is for tickets about the Perl6-Pugs CPAN distribution.

Report information
The Basics
Id: 42223
Status: new
Priority: 0/
Queue: Perl6-Pugs

People
Owner: Nobody in particular
Requestors: pmarion19 [...] free.fr
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)



Received: from la.mx.develooper.com (x1.develooper.com [63.251.223.170]) by diesel.bestpractical.com (Postfix) with SMTP id AB9BF4D8015 for <bug-Perl6-Pugs [...] rt.cpan.org>; Thu, 8 Jan 2009 04:22:01 -0500 (EST)
Received: (qmail 19521 invoked by uid 103); 8 Jan 2009 09:22:01 -0000
Received: from x16.dev (10.0.100.26) by x1.dev with QMQP; 8 Jan 2009 09:22:01 -0000
Received: from smtp3-g21.free.fr (HELO smtp3-g21.free.fr) (212.27.42.3) by 16.mx.develooper.com (qpsmtpd/0.43rc1) with ESMTP; Thu, 08 Jan 2009 01:21:58 -0800
Received: from smtp3-g21.free.fr (localhost [127.0.0.1]) by smtp3-g21.free.fr (Postfix) with ESMTP id A2E5D818262 for <bug-Perl6-Pugs [...] rt.cpan.org>; Thu, 8 Jan 2009 10:21:49 +0100 (CET)
Received: from patmar.localdomain (crj95-5-82-243-60-23.fbx.proxad.net [82.243.60.23]) by smtp3-g21.free.fr (Postfix) with ESMTP id 6E780818120 for <bug-Perl6-Pugs [...] rt.cpan.org>; Thu, 8 Jan 2009 10:21:46 +0100 (CET)
Delivered-To: cpan-bug+Perl6-Pugs [...] diesel.bestpractical.com
Subject: Error during installation Perl6-Pugs-6.2.13
MIME-Version: 1.0
User-Agent: Thunderbird 2.0.0.18 (X11/20081119)
X-Spam-Status: No, hits=1.7 required=8.0 tests=HTML_FONT_SIZE_LARGE,HTML_MESSAGE,MIME_HTML_ONLY
Return-Path: <pmarion19 [...] free.fr>
X-Spam-Check-BY: 16.mx.develooper.com
X-Original-To: bug-Perl6-Pugs [...] rt.cpan.org
Date: Thu, 08 Jan 2009 10:21:34 +0100
X-Spam-Level: *
Content-Type: text/html; charset=UTF-8
Message-ID: <4965C59E.8080804 [...] free.fr>
To: bug-Perl6-Pugs [...] rt.cpan.org
Content-Transfer-Encoding: 8bit
From: Patrick MARION <pmarion19 [...] free.fr>
X-RT-Original-Encoding: utf-8
Content-Length: 2884
Hello,
During <cpan>+<install Perl6::Pugs> I get several error messages and the compilation stops.
I get the ghc  6.8.3 under Fedora F10.
If I try to compile pugs by my own I get the same error messages :

../../Setup configure --with-compiler=/home/pma/downloaded/Perl6-Pugs-6.2.13/util/runcompiler --with-hc-pkg=/home/pma/downloaded/Perl6-Pugs-6.2.13/util/ghc-pkg-wrapper --with-hsc2hs=/usr/bin/hsc2hs --prefix=/home/pma/downloaded/Perl6-Pugs-6.2.13/third-party/installed
Configuring pugs-filepath-0.1...
Warning: No license-file field.
*** Building the 'filepath' dependency.  Please wait...

Preprocessing library pugs-filepath-0.1...
Building pugs-filepath-0.1...

System/FilePath.hs:96:7:
    Could not find module `System.Directory':
      it is a member of package directory-1.0.0.1, which is hidden
Installing: /home/pma/downloaded/Perl6-Pugs-6.2.13/third-party/installed/lib/pugs-filepath-0.1/ghc-6.8.3
Setup: Error: Could not find module: System.FilePath with any suffix: ["hi"]
ghc-pkg: cannot find package pugs-filepath
../../Setup configure --with-compiler=/home/pma/downloaded/Perl6-Pugs-6.2.13/util/runcompiler --with-hc-pkg=/home/pma/downloaded/Perl6-Pugs-6.2.13/util/ghc-pkg-wrapper --with-hsc2hs=/usr/bin/hsc2hs --prefix=/home/pma/downloaded/Perl6-Pugs-6.2.13/third-party/installed
Configuring pugs-fps-0.7...
*** Building the 'fps' dependency.  Please wait...

Preprocessing library pugs-fps-0.7...
Building pugs-fps-0.7...

Data/ByteString.hs:245:17:
    Could not find module `Data.Array':
      it is a member of package array-0.1.0.0, which is hidden
Installing: /home/pma/downloaded/Perl6-Pugs-6.2.13/third-party/installed/lib/pugs-fps-0.7/ghc-6.8.3
Setup: Error: Could not find module: Data.ByteString with any suffix: ["hi"]
ghc-pkg: cannot find package pugs-fps
../../Setup configure --with-compiler=/home/pma/downloaded/Perl6-Pugs-6.2.13/util/runcompiler --with-hc-pkg=/home/pma/downloaded/Perl6-Pugs-6.2.13/util/ghc-pkg-wrapper --with-hsc2hs=/usr/bin/hsc2hs --prefix=/home/pma/downloaded/Perl6-Pugs-6.2.13/third-party/installed
Configuring pugs-HsSyck-0.2...
Setup: At least the following dependencies are missing:
    pugs-fps >=0.7
*** Building the 'HsSyck' dependency.  Please wait...

Setup: error reading dist/setup-config; run "setup configure" command?

Setup: error reading dist/setup-config; run "setup configure" command?

Installation failed for HsSyck at util/build_pugs.pl line 237.
make: *** [pugs] Erreur 1






This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.